%define git_url git://git.fedorahosted.org/readahead

Summary:        Read a preset list of files into memory
Name:           readahead
Version:        1.5.0
Release:        %mkrel 1
Group:          System/Configuration/Boot and Init
License:        GPLv2+
URL:		https://hosted.fedoraproject.org/readahead
Source0:	readahead-%{version}.tar.bz2
Source1:	readahead_early
Source2:	default.early
Patch0:		readahead-default.patch
Patch1:		readahead-1.4.6-autocollector.patch
BuildRequires:	libblkid-devel
BuildRequires:	audit-devel
BuildRequires:	libext2fs-devel
Requires(post):    chkconfig
Requires(pre):     chkconfig
Requires:	procps
Requires:	gawk
Obsoletes:	kernel-utils
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
readahead reads the contents of a list of files into memory,
which causes them to be read from cache when they are actually
needed. Its goal is to speed up the boot process.

%prep
%setup -q
%patch0 -p1 -b .default
%patch1 -p1 -b .autocollector
install -m644 %{SOURCE2} lists/

%build
%configure2_5x \
	--sbindir=/sbin \
	--disable-rpath
%make
make rpm-lists-rebuild FILES="default.early" RPM_LIB="%{_lib}" RPM_ARCH="%{_arch}"


%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

install -m755 %{SOURCE1} %{buildroot}/sbin
install -m755 %{SOURCE1} %{buildroot}/sbin/readahead_later
sed -i -e 's/early/later/g' %{buildroot}/sbin/readahead_later

mkdir -p %{buildroot}%{_var}/lib/readahead
install -m644 lists/default.early %{buildroot}%{_var}/lib/readahead

# we don't use upstart
rm -fr %{buildroot}/etc/event.d

%pre
if [ -f /etc/rc.d/init.d/readahead_early ]; then
  /sbin/chkconfig --del readahead_early > /dev/null 2>&1 
  /sbin/chkconfig --del readahead_later
fi

%post
if [ "$1" = "1" ]; then
 touch /.readahead_collect
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README lists/README.lists
/sbin/readahead
/sbin/readahead-collector
/sbin/readahead_early
/sbin/readahead_later
/etc/cron.daily/readahead.cron
/etc/cron.monthly/readahead-monthly.cron
%config(noreplace) %{_sysconfdir}/sysconfig/readahead
%config(noreplace) /etc/readahead.conf
%dir /var/lib/readahead
%attr(0644,root,root) %{_var}/lib/readahead/default.early


%changelog
* Sat Sep 05 2009 Texstar <texstar@gmail.com> 1.5.0-1pclos2009
- 1.5.0

* Fri Jun 05 2009 pcserver <pcserver@hushmail.com> 1.4.9-1pclos2009
- create

